
Summary: A collection of card games
Name:    aisleriot
Version: 3.2.1
Release: 2%{?dist}
License: GPLv3+ and LGPLv3+ and GFDL
Group:   Amusements/Games
#VCS: git:git://git.gnome.org/aisleriot
Source:  http://download.gnome.org/sources/aisleriot/3.2/aisleriot-%{version}.tar.xz
URL:     http://live.gnome.org/Aisleriot

BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: GConf2-devel
BuildRequires: librsvg2-devel
BuildRequires: libcanberra-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: gstreamer-devel
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: guile-devel
BuildRequires: gnome-doc-utils
BuildRequires: yelp-tools
BuildRequires: scrollkeeper
BuildRequires: docbook-dtds
BuildRequires: desktop-file-utils

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Aisleriot is a collection of over 80 card games programmed in scheme.

%prep
%setup -q

%build
%configure
make %{_smp_mflags}

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/freecell.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/sol.desktop

%find_lang %{name}

# https://bugzilla.redhat.com/show_bug.cgi?id=736523
echo "%%dir %%{_datadir}/help/C" >> aisleriot.lang
echo "%%{_datadir}/help/C/%%{name}" >> aisleriot.lang
for l in ca de el en_GB es eu fr gl oc ru sl sr sr@latin sv zh_CN; do
  echo "%%dir %%{_datadir}/help/$l"
  echo "%%lang($l) %%{_datadir}/help/$l/%%{name}"
done >> aisleriot.lang

%pre
%gconf_schema_prepare aisleriot

%preun
%gconf_schema_remove aisleriot

%post
%gconf_schema_upgrade aisleriot
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas >&/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas >&/dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING.GPL3 COPYING.LGPL3 COPYING.GFDL
%{_bindir}/*
%{_libdir}/aisleriot
%{_datadir}/aisleriot
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_sysconfdir}/gconf/schemas/aisleriot.schemas
%{_datadir}/glib-2.0/schemas/org.gnome.Patience.WindowState.gschema.xml
%{_mandir}/man6/sol.6.gz

%changelog
* Wed Oct 26 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-2
- Rebuilt for glibc bug#747377

* Tue Oct 18 2011 Matthias Clasen <mclasen@redhat.com> - 3.2.1-1
- Update to 3.2.1

* Wed Sep 28 2011 Matthias Clasen <mclasen@redhat.com> - 3.2.0-1
- Update to 3.2.0

* Tue Sep 20 2011 Matthias Clasen <mclasen@redhat.com> - 3.1.92-1
- Update to 3.1.92

* Thu Sep  8 2011 Matthias Clasen <mclasen@redhat.com> - 3.1.1-2
- Package review feedback

* Wed Sep  7 2011 Matthias Clasen <mclasen@redhat.com> - 3.1.1-1
- Initial packaging
